/*
 * Copyright (c) 2001 The Anthill Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill.factory;

/**
 *  Thrown when there is a problem parsing or validating the
 *  content of the system configuration file.
 *
 *  @author Hein Meling
 *  @version $Revision$
 */
public class ConfigFormatException extends RuntimeException
{
  /**
   *  Constructs a <code>ConfigFormatExeception</code> with the specified message.
   *
   *  @param msg   detailed message.
   */
  public ConfigFormatException(String msg)
  {
    super("ConfigFormatException: " + msg);
  }

} // END ConfigFormatException
