/*
 * Copyright (c) 2001 The Anthill Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill.genie;

import anthill.*;

/**
 *  This interface extends interface Ant with methods for the
 *  management of the genetic code of ants.
 *
 *  @author Alberto Montresor
 *  @version $Revision$
 */
public interface GeneticAnt
extends Ant
{

  
  /**
   *  Return the genetic code of this ant. This method may be invoked by 
   *  a nest to extract the genetic code of an ant and store it for 
   *  future use.  
   */
  public GeneticCode getGeneticCode();

  
} // END Ant


