/*
 * Copyright (c) 2001 The Anthill Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill.genie;

import anthill.*;
import anthill.antsim.*;
import anthill.util.*;

/**
 *  Interface <CODE>GeneticScenario</CODE> extends interface 
 *  <CODE>Scenario</CODE> with methods for managing genetic codes
 *  to be used in the creation of new ants during the evaluation
 *  of the fitness of a genetic ant algorithm.
 *  
 *  @author Alberto Montresor
 *  @version $Revision$
 */
public interface GeneticScenario
extends Scenario, Clearable
{
  
  /**
   *  Set the genetic code(s) to be evaluated. Depending on the implementation 
   *  of this interface, this method may be invoked more than once, for
   *  example to evaluate the fitness of a set of genetic codes used concurrently
   *  for implementing 
   */
  public void addGeneticCode(GeneticCode code);
  
} // END GeneticScenario

