/*
 * Copyright (c) 2001 The Anthill Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill.genie;

import anthill.*;

/**
 *  Factory interface for <CODE>Resource</CODE> objects. This interface should 
 *  be used by <CODE>Scenario</CODE> objects to create resources to be put in 
 *  simulated peer network.
 *
 *  @author Alberto Montresor
 *  @version $Revision$
 */
public interface ResourceFactory
{

  /**
   *  Factory method for <CODE>Resource</CODE> objects. 
   */
  public Resource getResource();
  
} // END ResourceFactory

