/*
 * Copyright (c) 2001 The Anthill Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill.storage;

import anthill.*;

/**
 *  
 *  @author Hein Meling
 *  @version $Revision$
 */
public interface QueryController
{

  /**
   *  Returns the result of matching the specified query with the
   *  given resource.
   *
   *  @param resource  to match the query against.
   *  @param query     query object match the specified resource against.
   *  @return true if the specified resource match the specified query.
   */
  public boolean satisfies(Resource resource, Object query);

} // END QueryController
