/*
 * Copyright (c) 2001 The Anthill Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill.storage;

import anthill.*;
import anthill.util.*;

/**
 *  <CODE>Storage</CODE> is an empty interface which is used a marker
 *  for storage objects, which may be requested and obtained by ants
 *  when visiting nest. Storage objects store informations on nests
 *  on behalf of ants. Storage objects may enforce policies to limit
 *  the amount of information stored in a nest.

 *  @author Alberto Montresor
 *  @version $Revision$
 */
public interface Storage
extends Clearable
{
  
  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constants
  ////////////////////////////////////////////////////////////////////////////////////////////

  /** Name used to identify the standard storage for urls */
  public static final String URL_STORAGE = "UrlStorage";
  
  /** Name used to identify the standard storage for documents */
  public static final String DOC_STORAGE = "DocumentStorage";
  
  /** Name used to identify the standard storage for documents */
  public static final String PHR_STORAGE = "PheromoneStorage";


} // END Storage
