/*
 * Copyright (c) 1998-2000 The Anthill Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill.util;

import java.util.*;

/**
 *  The <code> History</code> class 
 *
 *  @author  Alberto Montresor
 *  @version $Revision$
 */
public final class History
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields
  ////////////////////////////////////////////////////////////////////////////////////////////

  /** List of actions */
  private ArrayList list;


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   * 
   */
  public History(boolean active)
  {
    if (active) 
      list = new ArrayList();
  }

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Methods
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   * Appends <code> object <\code> at the end of the list
   * @param object      the object to be inserted
   */
  public void add(Object object)
  {
    if (list != null) 
      list.add(object);
  }
  
  /**
   * FIXME Add a parameter to print over a print writer
   */
  public void print()
  {
    if (list != null) {
      for (int i=0; i < list.size(); i++) {
        Log.println(list.get(i));
      }
    }
  }

} // END History

