/*
 * Copyright (c) 2001 The Anthill Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package test;

import anthill.*;
import anthill.factory.*;
import anthill.antsim.*;
import anthill.util.*;
import java.io.*;

/**
 *  This class execute the test contained in
 *
 *  @author Alberto Montresor
 *  @version $Revision$
 */
public class Test
{

  public static void main(String[] args)
    throws Exception
  {
    if (args.length == 0) {
      System.err.println("Usage: java test.Test <XML configuration file(s)>");
      System.exit(0);
    }
    Factory factory = new Factory(args);
    Log.printlnFile(factory);
    Experiment experiment = (Experiment) factory.get(Experiment.class);
    experiment.evaluate();
  }
  
} // END Test


